Cloud Composer Version List

Cloud Composer builds Docker images that bundle vanilla Airflow releases with other common binaries and Python libraries. These Docker images are versioned with each Cloud Composer service release.

Supported Cloud Composer versions

New environments

The following table lists the Apache Airflow and Python versions that Cloud Composer supports for new environment creation.

The table also lists the preinstalled PyPI packages, backported fixes, and customizations for each version.

Version Airflow Version Supported Python Versions Includes PyPI Packages Customizations Release Date Notes
composer-1.7.3-airflow-1.10.2 1.10.2 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.7.1-airflow-1.10.2 Aug 15, 2019
composer-1.7.3-airflow-1.10.1 1.10.1 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.7.0-airflow-1.9.0 Aug 15, 2019
composer-1.7.3-airflow-1.9.0 1.9.0 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.7.0-airflow-1.9.0 Aug 15, 2019 Default version

Earlier environments

The following table lists the Apache Airflow and Python versions that earlier versions of Cloud Composer supports for existing environments.

Version Airflow Version Supported Python Versions Includes PyPI Packages Customizations Release Date Notes
composer-1.7.2-airflow-1.10.2 1.10.2 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.7.1-airflow-1.10.2 June 14, 2019
composer-1.7.2-airflow-1.10.1 1.10.1 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.7.0-airflow-1.9.0 June 14, 2019
composer-1.7.2-airflow-1.9.0 1.9.0 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.7.0-airflow-1.9.0 June 14, 2019 Default version
composer-1.7.1-airflow-1.10.2 1.10.2 2, 3 Same as composer-1.6.0-airflow-1.9.0 - Same as composer-1.7.0-airflow-1.10.2
- Backported AIRFLOW-3143
May 28, 2019
composer-1.7.1-airflow-1.10.1 1.10.1 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.7.0-airflow-1.9.0 May 28, 2019
composer-1.7.1-airflow-1.9.0 1.9.0 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.7.0-airflow-1.9.0 May 28, 2019 Default version
composer-1.7.0-airflow-1.10.2 1.10.2 2, 3 Same as composer-1.6.0-airflow-1.9.0 - Same as composer-1.5.2-airflow-1.9.0
- Backported fixes for CVE-2019-0216 & CVE-2019-0229
- Backported fix for the DataflowTemplateOperator region support issue. Only Airflow 1.10.2 & later.
May 16, 2019
composer-1.7.0-airflow-1.10.1 1.10.1 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.7.0-airflow-1.9.0 May 16, 2019
composer-1.7.0-airflow-1.9.0 1.9.0 2, 3 Same as composer-1.6.0-airflow-1.9.0 - Same as composer-1.5.2-airflow-1.9.0
- Backported fixes for CVE-2019-0216 & CVE-2019-0229
May 16, 2019 Default version
composer-1.6.1-airflow-1.10.1 1.10.1 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.5.2-airflow-1.9.0 April 4, 2019
composer-1.6.1-airflow-1.10.0 1.10.0 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.5.2-airflow-1.9.0 April 4, 2019
composer-1.6.1-airflow-1.9.0 1.9.0 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.5.2-airflow-1.9.0 April 4, 2019
composer-1.6.0-airflow-1.10.1 1.10.1 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.5.2-airflow-1.9.0 April 3, 2019
composer-1.6.0-airflow-1.10.0 1.10.0 2, 3 Same as composer-1.6.0-airflow-1.9.0 Same as composer-1.5.2-airflow-1.9.0 April 3, 2019
composer-1.6.0-airflow-1.9.0 1.9.0 2, 3 Same as composer-1.5.0-airflow-1.9.0 & StatsD Same as composer-1.5.2-airflow-1.9.0 April 3, 2019
composer-1.5.2-airflow-1.10.1 1.10.1 2, 3 Same as composer-1.5.0-airflow-1.9.0 Same as composer-1.5.2-airflow-1.9.0 March 11, 2019
composer-1.5.2-airflow-1.10.0 1.10.0 2, 3 Same as composer-1.5.0-airflow-1.9.0 Same as composer-1.5.2-airflow-1.9.0 March 11, 2019
composer-1.5.2-airflow-1.9.0 1.9.0 2, 3 Same as composer-1.5.0-airflow-1.9.0 - Same as composer-1.5.0-airflow-1.9.0
- Backported fix for the SubDag failed by scheduler deadlock issue
March 11, 2019
composer-1.5.1-airflow-1.10.1 1.10.1 2, 3 Same as composer-1.5.0-airflow-1.9.0 Same as composer-1.5.0-airflow-1.9.0 March 7, 2019 Rolled back March 11, 2019
composer-1.5.1-airflow-1.10.0 1.10.0 2, 3 Same as composer-1.5.0-airflow-1.9.0 Same as composer-1.5.0-airflow-1.9.0 March 7, 2019 Rolled back March 11, 2019
composer-1.5.1-airflow-1.9.0 1.9.0 2, 3 Same as composer-1.5.0-airflow-1.9.0 Same as composer-1.5.0-airflow-1.9.0 March 7, 2019 Rolled back March 11, 2019
composer-1.5.0-airflow-1.10.1 1.10.1 2, 3 Same as composer-1.5.0-airflow-1.9.0 Same as composer-1.5.0-airflow-1.9.0 Feb 6, 2019
composer-1.5.0-airflow-1.10.0 1.10.0 2, 3 Same as composer-1.5.0-airflow-1.9.0 Same as composer-1.5.0-airflow-1.9.0 Feb 6, 2019
composer-1.5.0-airflow-1.9.0 1.9.0 2, 3 click==6.7, redis==2.10.6, celery[redis],flower,google-api-python-client, google-cloud-bigquery, google-cloud-container, google-cloud-logging, google-cloud-storage, iso8601, kubernetes, protobuf, sendgrid, tensorflow, and pipdeptree
- Airflow optional dependencies: mysql, password, postgres, gcp_api, and crypto
- Python 2: google-cloud-dataflow>=2.5.0, tensorflow-transform
- Python 3: virtualenv
- Backported fixes for CVE-2018-20244: Stored XSS in Apache Airflow
- Backported fix for the broken GCP connection in the DataflowJavaOperator and DataflowPythonOperator
Feb 6, 2019 Default version
composer-1.4.2-airflow-1.10.0 1.10.0 2, 3 Same as composer-1.3.0-airflow-1.9.0 Same as composer-1.3.0-airflow-1.9.0 Jan 10, 2019
composer-1.4.2-airflow-1.9.0 1.9.0 2, 3 Same as composer-1.3.0-airflow-1.9.0 Same as composer-1.3.0-airflow-1.9.0 Jan 10, 2019
composer-1.4.1-airflow-1.10.0 1.10.0 2, 3 Same as composer-1.3.0-airflow-1.9.0 Same as composer-1.3.0-airflow-1.9.0 Dec 17, 2018
composer-1.4.1-airflow-1.9.0 1.9.0 2, 3 Same as composer-1.3.0-airflow-1.9.0 Same as composer-1.3.0-airflow-1.9.0 Dec 17, 2018
composer-1.4.0-airflow-1.10.0 1.10.0 2, 3 Same as composer-1.3.0-airflow-1.9.0 On top of composer-1.3.0-airflow-1.10.0, patch googleapiclient set_user_agent Nov 26, 2018
composer-1.4.0-airflow-1.9.0 1.9.0 2, 3 Same as composer-1.3.0-airflow-1.9.0 Same as composer-1.3.0-airflow-1.9.0 Nov 26, 2018
composer-1.3.0-airflow-1.10.0 1.10.0 2, 3 Same as composer-1.3.0-airflow-1.9.0 - Display environment name in Airflow webUI
- Schema patch to make Airflow 1.10.0 work with MySQL without explicit_defaults_for_timestamp=ON
- Backport GKEPodOperator
- Backport several improvements for GCP related operators
- Stability fix for BashTaskRunner
Oct 24, 2018
composer-1.3.0-airflow-1.9.0 1.9.0 2, 3 urllib3==1.23, requests==2.19.1, celery[redis], flower, google-api-python-client, google-cloud-bigquery, google-cloud-container, google-cloud-logging, google-cloud-storage, iso8601, kubernetes, protobuf, sendgrid, and tensorflow On top of composer-1.2.0-airflow-1.9.0: Display environment name in the Airflow web UI Oct 24, 2018
composer-1.2.0-airflow-1.9.0 1.9.0 2, 3 Same as composer-1.0.0-airflow-1.9.0 Same as composer-1.1.1-airflow-1.9.0 Oct 2, 2018 - Python 2.7.13, Python 3.6.6
- Update scheduler restart behavior to time based (10 minutes)
composer-1.1.1-airflow-1.9.0 1.9.0 2 Same as composer-1.0.0-airflow-1.9.0 On top of composer-1.1.0-airflow-1.9.0: Relaxed celeryd concurrency config Sept 17, 2018
composer-1.1.0-airflow-1.9.0 1.9.0 2 Same as composer-1.0.0-airflow-1.9.0 On top of composer-1.0.0-airflow-1.9.0:
- Backported network/subnetwork/tag support in DataprocClusterCreateOperator
- Backported GkePodOperator
- Backported Dataflow job mismatch fix
Aug 17, 2018 Airflow scheduler health checking now relies on Stackdriver logging being enabled
composer-1.0.0-airflow-1.9.0 1.9.0 2 google-cloud-bigquery, google-cloud-dataflow, google-cloud-storage, pandas, pandas-gbq, tensorflow, tensorflow-transform, and sendgrid - Backported KubernetesPodOperator and JDBC/DBAPI autocommit fix
- Added PARQUET source in bigquery_hook
- Added Dataflow multi-region support
- Fixed Airflow documentation link in the Airflow webserver
- Fixed an Airflow webserver crashlooping due to statsd exception

Unsupported Cloud Composer versions

The following Cloud Composer versions are unsupported. Cloud Composer does not provide updates and support for environments created with these versions.

  • Beta versions composer-0.*.*-airflow-*.*.*

Although you can continue running an environment that was created with an unsupported version, we recommend that you migrate your environment to a supported version.

For information about version deprecation, see Cloud Composer Versioning.

Var denne siden nyttig? Si fra hva du synes:

Send tilbakemelding om ...